Show / Hide Table of Contents

# Class RoleUpdateAuditLogData

Contains a piece of audit log data related to a role update.

##### Inheritance

System.Object
RoleUpdateAuditLogData

##### Implements

IAuditLogData

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord.Rest

###### Assembly: Discord.Net.Rest.dll

##### Syntax

    public class RoleUpdateAuditLogData : IAuditLogData

### Properties

| Improve this Doc View Source

#### After

Gets the role information after the changes.

##### Declaration

    public RoleEditInfo After { get; }

##### Property Value

Type | Description
--- | ---
RoleEditInfo | A role information object containing the role information after the changes were made.

| Improve this Doc View Source

#### Before

Gets the role information before the changes.

##### Declaration

    public RoleEditInfo Before { get; }

##### Property Value

Type | Description
--- | ---
RoleEditInfo | A role information object containing the role information before the changes were made.

| Improve this Doc View Source

#### RoleId

Gets the ID of the role that was changed.

##### Declaration

    public ulong RoleId { get; }

##### Property Value

Type | Description
--- | ---
System.UInt64 | A System.UInt64 representing the snowflake identifier of the role that was changed.

### Implements

IAuditLogData